% function detach(s)
% Clear a namespace of all variables with the same names as fields
% of structure s, useful for attach/detach combinations

function detach(s)

if evalin('caller',sprintf('exist(''%s\'')','CKSAVE'))
  CKSAVE = evalin('caller','CKSAVE');
else
  CKSAVE = struct();
end

fn=fieldnames(s);
for i=1:length(fn)
  evalin('caller',sprintf('clear %s',fn{i}));
  if isfield(CKSAVE,fn{i})
    assignin('caller',fn{i},getfield(CKSAVE,fn{i}))
    CKSAVE=rmfield(CKSAVE,fn{i});
  end
end
assignin('caller','CKSAVE',CKSAVE);
